com.trendmicro.ds.platform.rest.object.monitoring

## Class TenantModuleUsageElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.monitoring.TenantModuleUsageElement

-     public class TenantModuleUsageElement
      extends java.lang.Object

  A structure conveying information about a module extension to a Tenant Host Usage record

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TenantModuleUsageElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getModuleName()` The module name, which is one of the following: AM - Anti-Malware WRS - Web Reputation FW - Firewall DPI - Intrusion Prevention IM - Integrity Monitoring LI - Log Inspection Note that not all of these modules may be installed or licensed in your environment and new modules may be added to extend this list in the future.
    `boolean` | `isModuleEnabled()` The module on/off flag
    `void` | `setModuleEnabled(boolean moduleEnabled)`
    `void` | `setModuleName(java.lang.String moduleName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TenantModuleUsageElement

          public TenantModuleUsageElement()

  - ### Method Detail

    - #### getModuleName

          public java.lang.String getModuleName()

      The module name, which is one of the following:
    - AM - Anti-Malware
    - WRS - Web Reputation
    - FW - Firewall
    - DPI - Intrusion Prevention
    - IM - Integrity Monitoring
    - LI - Log Inspection
    Note that not all of these modules may be installed or licensed in your environment and new modules may be added to extend this list in the future.

- #### setModuleName

      public void setModuleName(java.lang.String moduleName)

- #### isModuleEnabled

      public boolean isModuleEnabled()

  The module on/off flag

- #### setModuleEnabled

      public void setModuleEnabled(boolean moduleEnabled)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.